Package Scientific :: Package Visualization :: Module Color :: Class Color

[frames] | no frames]

# Class Color

RGB Color specification

Color objects can be added and multiplied with scalars.

Instance Methods

__add__(self, other) |

__cmp__(self, other) |

__hash__(self) |

__init__(self, rgb) |

__mul__(self, scale) |

__repr__(self) |

__rmul__(self, scale) |

__str__(self) |

Method Details

### __init__(self, rgb)
(Constructor)

Parameters:
  - `rgb` (`int` or `float`) - a sequence of three numbers between zero and one, specifying the intensities of red, green, and blue.